namespace OppoAds
{
    public interface INativeAdManager
    {
        void LoadBanner();
        void ShowBanner();
        void CloseBanner();
        void LoadRectangleAd();
        void ShowRectangleAd();
        void CloseRectangleAd();
        void LoadFullScreenAd();
        void ShowFullScreenAd();
        void CloseFullScreenAd();
        void LoadRewardVideoAd();
        void ShowRewardVideoAd();
        bool isVideoReady();
    }
}